# ds_redis Chef cookbook

A cookbook to install & configure [Redis](https://redis.io). Based on work originally done by Benjamin Black (@b).

## Overview

Redis, a fast lightweight database

## Recipes 

* `default` - Install Redis from archive, configure using attributes, and enable + start via a system service.

## Attributes

All attributes are in the `node['redis']` namespace.

Attribute | Description
--------- | -----------
`['version']` | The version of Redis you wish to install
`['url']` | The URL pointing to an archive of Redis.
`['service_name']` | The name of the system service that manages Redis
`['service_user']` | Username that Redis runs under
`['service_group']` | Group that Redis runs under
`['prefix_root']` | The root path to where Redis will be installed. Based on `ark` cookbook attribute.
`['prefix_bin']` | The path to the Redis binaries. Based on `ark` cookbook attribute.
`['prefix_home']` | The path to the Redis install home. Based on `ark` cookbook attribute.
`['config_path']` | Path to the Redis config file
`['config']` | A hash of config values for Redis. Are written as "key value" directly into the config file. See the template for details.

## Author

Author:: Dark Sky (devops@darksky.net)

## License

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
