#
# Cookbook:: ds_redis
# Recipe:: default
#
# Copyright:: 2017, The Dark Sky Company, LLC
#

apt_update 'ds_redis'

include_recipe 'ark'

ark 'redis' do
  url materialize(node['redis'])['url']
  version node['redis']['version']
  # Included so operators can override the installation location
  prefix_root node['redis']['prefix_root']
  prefix_bin node['redis']['prefix_bin']
  prefix_home node['redis']['prefix_home']
  action :install_with_make
end

poise_service_user node['redis']['service_user']

[
  node['redis']['config']['dir'],
  ::File.dirname(node['redis']['config']['logfile']),
].each do |path|
  directory path do
    owner node['redis']['service_user']
    group node['redis']['service_group']
    recursive true
  end
end

template node['redis']['config_path'] do
  owner node['redis']['service_user']
  group node['redis']['service_group']
  mode '0644'
  variables config: node['redis']['config']
end

poise_service node['redis']['service_name'] do
  command "#{node['redis']['prefix_bin']}/redis-server #{node['redis']['config_path']}"
  directory node['redis']['config']['dir']
  user node['redis']['service_user']
end
